Bug 124993 - upgrade sysutils/cfengine to 2.2.7
upgrade sysutils/cfengine to 2.2.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 00:50 UTC by jrhett
Modified: 2008-07-02 04:11 UTC (History)
0 users

See Also:


Attachments
file.diff (768 bytes, patch)
2008-06-26 00:50 UTC, jrhett
no flags Details | Diff
cfengine-2.2.7-patch.txt (768 bytes, text/plain; x-unix-mode=0644)
2008-06-30 22:58 UTC, jrhett
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrhett 2008-06-26 00:50:02 UTC
Patch to upgrade cfengine to 2.2.7

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-06-26 12:37:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 jrhett 2008-06-30 22:58:08 UTC
A full patch from the current ports revision to 2.2.7 is included  
below.  This resolves the manpage/plist concerns raised previously.

-- 
Jo Rhett
Net Consonance : consonant endings by net philanthropy, open source  
and other randomness
Comment 3 jrhett 2008-06-30 23:19:59 UTC
On Jun 30, 2008, at 2:58 PM, Jo Rhett wrote:
> A full patch from the current ports revision to 2.2.7 is included  
> below.  This resolves the manpage/plist concerns raised previously.


FYI you'll notice that patch-configure is made to be blank by this  
patch.  I don't know how to remove files in a patch, but that file  
should be removed.

-- 
Jo Rhett
Net Consonance : consonant endings by net philanthropy, open source  
and other randomness
Comment 4 Wesley Shields freebsd_committer 2008-07-01 20:26:27 UTC
Responsible Changed
From-To: sergei->wxs

Based upon ports/122057 I'm grabbing this one also.  Please let me know 
if you would like to work on it Sergei.
Comment 5 dfilter freebsd_committer 2008-07-02 04:08:59 UTC
wxs         2008-07-02 03:08:54 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/cfengine    Makefile distinfo pkg-plist 
    sysutils/cfengine/files patch-Makefile.in 
                            patch-contrib_Makefile.in 
                            patch-doc_Makefile.in 
                            patch-inputs_Makefile.in 
  Removed files:
    sysutils/cfengine/files patch-configure 
  Log:
  Update to 2.2.7
  Properly respect NOPORTDOCS and NOPORTEXAMPLES
  
  PR:             ports/124993, ports/122057
  Submitted by:   Jo Rhett <jrhett@netconsonance.com>
  Approved by:    sergei (maintainer timeout)
  
  Revision  Changes    Path
  1.42      +13 -9     ports/sysutils/cfengine/Makefile
  1.15      +3 -3      ports/sysutils/cfengine/distinfo
  1.3       +112 -7    ports/sysutils/cfengine/files/patch-Makefile.in
  1.3       +0 -11     ports/sysutils/cfengine/files/patch-configure (dead)
  1.2       +18 -12    ports/sysutils/cfengine/files/patch-contrib_Makefile.in
  1.4       +12 -108   ports/sysutils/cfengine/files/patch-doc_Makefile.in
  1.2       +18 -12    ports/sysutils/cfengine/files/patch-inputs_Makefile.in
  1.11      +25 -31    ports/sysutils/cfengine/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wesley Shields freebsd_committer 2008-07-02 04:11:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!